API Reference
Update WhatsApp Business profile
Update the WhatsApp Business profile for a sender. The sender must have a WhatsApp Business Account connected.
PATCH
/
v1
/
senders
/
{senderId}
/
profile
Update WhatsApp Business profile
curl --request PATCH \
--url https://api.zavu.dev/v1/senders/{senderId}/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"about": "Succulent specialists!",
"description": "We specialize in providing high-quality succulents.",
"email": "contact@example.com",
"websites": [
"https://www.example.com"
],
"vertical": "RETAIL"
}
'import requests
url = "https://api.zavu.dev/v1/senders/{senderId}/profile"
payload = {
"about": "Succulent specialists!",
"description": "We specialize in providing high-quality succulents.",
"email": "contact@example.com",
"websites": ["https://www.example.com"],
"vertical": "RETAIL"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
about: 'Succulent specialists!',
description: 'We specialize in providing high-quality succulents.',
email: 'contact@example.com',
websites: ['https://www.example.com'],
vertical: 'RETAIL'
})
};
fetch('https://api.zavu.dev/v1/senders/{senderId}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"profile": {
"about": "Succulent specialists!",
"address": "1 Hacker Way, Menlo Park, CA 94025",
"description": "At Lucky Shrub, we specialize in providing a diverse range of high-quality succulents.",
"email": "contact@example.com",
"profilePictureUrl": "https://pps.whatsapp.net/v/t61.24...",
"websites": [
"https://www.example.com/"
]
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request body to update WhatsApp Business profile.
Short description of the business (max 139 characters).
Maximum string length:
139Physical address of the business (max 256 characters).
Maximum string length:
256Extended description of the business (max 512 characters).
Maximum string length:
512Business email address.
Business website URLs (maximum 2).
Maximum array length:
2Business category for WhatsApp Business profile.
Available options:
UNDEFINED, OTHER, AUTO, BEAUTY, APPAREL, EDU, ENTERTAIN, EVENT_PLAN, FINANCE, GROCERY, GOVT, HOTEL, HEALTH, NONPROFIT, PROF_SERVICES, RETAIL, TRAVEL, RESTAURANT, NOT_A_BIZ ⌘I
Update WhatsApp Business profile
